View Issue Details

IDProjectCategoryView StatusLast Update
0001033SOGoBackend Generalpublic2011-11-24 15:02
Reporterbuzzdee Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.4 
Target VersionFixed in Version1.3.10 
Summary0001033: fix owner of files when "make install" for NGCards
Descriptionusually, people run configure and make as "ordinary" user, and afterwards run sudo make install. Then the files for NGCards that get installed without the patch are owned by the user who ran the make command.
Its better to rely on the variables the gnustep makefile framework provides for directory creation and installing.
Further, with the cp -dpR TimeZones ... statement, there is a problem on OpenBSD, since it doesn't know about the -d flag of cp.
I exchanged the cp -dpr in that line with a cp -R. Linux doesn't seem to distinguish between -R and -r, man cp on Linux says:
       -R, -r, --recursive
              copy directories recursively

However, -R and -r are different things on OpenBSD:
     -R If source designates a directory, cp copies the directory and the
             entire subtree connected at that point. Created directories have
             the same mode as the corresponding source directory, unmodified
             by the process's umask.

             This option also causes symbolic links to be copied, rather than
             followed, and special files to be created, rather than being
             copied as normal files. However, cp copies hard linked files as
             separate files. To preserve hard links, use a utility such as
             pax(1) or tar(1) instead.

========
    Historic versions of the cp utility had a -r option. This implementation
     supports that option; however, its use is strongly discouraged, as it
     does not correctly copy special files, symbolic links or FIFOs.

Additional InformationTo keep it more simple, I did not used the INSTALL_DATA for the TimeZones, if wanted, I could also enhance the patch to use it there too.
TagsNo tags attached.

Activities

2010-12-03 03:18

 

patch-SOPE_NGCards_GNUmakefile_postamble (636 bytes)
$OpenBSD: patch-SOPE_NGCards_GNUmakefile_postamble,v 1.1.1.1 2010/11/24 18:16:03 sebastia Exp $

--- SOPE/NGCards/GNUmakefile.postamble.orig	Tue Sep 21 20:52:45 2010
+++ SOPE/NGCards/GNUmakefile.postamble	Thu Oct 14 14:20:52 2010
@@ -6,6 +6,6 @@ mappings-dir ::
 	$(MKDIRS) $(MAPDIR)
 
 after-install :: mappings-dir
-	cp NGCards.xmap $(MAPDIR)
-	-mkdir -p $(GNUSTEP_LIBRARY)/Libraries/Resources/NGCards
-	cp -dpR TimeZones $(GNUSTEP_LIBRARY)/Libraries/Resources/NGCards
+	${INSTALL_DATA} NGCards.xmap $(MAPDIR)
+	$(MKDIRS) $(GNUSTEP_LIBRARY)/Libraries/Resources/NGCards
+	cp -R TimeZones $(GNUSTEP_LIBRARY)/Libraries/Resources/NGCards
ludovic

ludovic

2011-11-24 15:02

administrator   ~0003064

Applied fix. See:

http://mtn.inverse.ca/revision/diff/ba2ef33fb2014db9241eaddd86c886921a3cf802/with/1f5fabe83bd933943ca2c88af8c07654ddf9ce2b

Issue History

Date Modified Username Field Change
2010-12-03 03:18 buzzdee New Issue
2010-12-03 03:18 buzzdee File Added: patch-SOPE_NGCards_GNUmakefile_postamble
2011-02-15 17:02 ludovic Status new => assigned
2011-02-15 17:02 ludovic Assigned To => ludovic
2011-11-24 15:02 ludovic Note Added: 0003064
2011-11-24 15:02 ludovic Status assigned => resolved
2011-11-24 15:02 ludovic Fixed in Version => 1.3.10
2011-11-24 15:02 ludovic Resolution open => fixed
2011-11-24 15:02 ludovic Status resolved => closed